Error on ubuntu lynx (libmysqlclient_r.so.15)

Help
2010-05-02
2012-09-19
  • Heigler Rocha
    Heigler Rocha
    2010-05-02

    Hi there,

    I'm trying to run mysqldb on ubuntu lynx, however without success:

    django.core.exceptions.ImproperlyConfigured: Error loading MySQLdb module:
    libmysqlclient_r.so.15: cannot open shared object file: No such file or
    directory

    I've noticed ubuntu lynx uses MySQL 5.1 and that version includes
    libmysqlclient_r.so.16, but the mysqldb seems trying to listen that so.15
    version.

    I'm using python 2.6 and the latest mysqldb version.

    Any idea?

     
  • Andy Dustman
    Andy Dustman
    2010-05-04

    Build from source. Read README. You will need the Ubuntu MySQL development
    package. (mysql-devel I think)